<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="TypeDateMapper" >
    <!-- 通用查询映射结果 -->
    <select id="typeDate" parameterType="pd" resultType="pd">
        select type as id,categoryName
        from s_gxhpz_zd_attributecategory
        where 1=1
            and dict_key = '0'
    </select>
    <select id="typeDate2" parameterType="pd" resultType="pd">
        select id as ida,categoryName as categoryNamea
        from s_gxhpz_zd_attributecategory
        where 1=1
            and dict_key in( ${jbtype})
    </select>


    <!-- 通用查询ICD11映射结果 -->
    <select id="getICD11_Date" parameterType="pd" resultType="pd">
        select type as id,categoryName
        from s_gxhpz_zd_icd11
        where 1=1
          and dict_key = 'ICD11'
    </select>
    <select id="getICD11_Date2" parameterType="pd" resultType="pd">
        select id as ida,categoryName as categoryNamea
        from s_gxhpz_zd_icd11
        where 1=1
          and type in( ${jbtype})
    </select>


</mapper>
